Show / Hide Table of Contents

# Enum ImageFormat

Specifies the type of format the image should return in.

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public enum ImageFormat

### Fields

Name | Description
--- | ---
Auto | Use automatically detected format.
Gif | Use GIF.
Jpeg | Use JPEG.
Png | Use PNG.
WebP | Use Google's WebP image format.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()